Loading...
Searching...
No Matches
ARC_Queue Struct Reference

## Data Fields

uint32_t | currentSize
ARC_QueueNode * | node

## Detailed Description

Definition at line 13 of file queue.c.

## Field Documentation

## currentSize

uint32_t ARC_Queue::currentSize

Definition at line 14 of file queue.c.

Referenced by ARC_Queue_Create(), ARC_Queue_Destroy(), ARC_Queue_Pop(), ARC_Queue_Push(), and ARC_Queue_Size().

## node

ARC_QueueNode* ARC_Queue::node

Definition at line 15 of file queue.c.

Referenced by ARC_Queue_Destroy(), ARC_Queue_Pop(), and ARC_Queue_Push().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/src/std/queue.c